Subject: RE: bug#29423: 27.0.50; ls-lisp does not handle -F switch properly

From: Drew Adams <[email-masked]>
Date: Fri, 24 Nov 2017 11:28:11 -0800 (PST)

> > That's not what I see, in any Emacs release or in the
> > 26.1 prerelease (MS Windows binary).  Perhaps what you
> > see is a problem introduced after that prerelease or
> > is platform-dependent?
> 
> I've just checked again my recipe with the Emacs 26 branch, started as
> "emacs -Q". Reproduced. And I could reproduce it also with Emacs 25, as
> provided by Ubuntu 17.10.
> 
> Maybe the difference is that I haven't said explicitly that you need
> (require 'ls-lisp) prior my recipe. I thought it was obvious, due to the
> subject of the bug report. Sorry.
> 
> > As the only char I see missing the property is the
> > final /, I thought that's what you were asking about
> > and reporting as a problem.
> 
> Use ls-lisp.

I did it again, from emacs -Q, with the Emacs 26.1 pretest.

I tried with M-x load-library ls-lisp.el, and
I tried with M-x load-library ls-lisp.elc.  And I
think that neither should be needed, since Emacs
on MS Windows (which I'm using) uses ls-lisp by
default.

I still see what I reported earlier: the property
is on the directory name (but not on the /).

I'm guessing that the Emacs 26 you're using is
something later than the pretest.  Or else the
difference has something to do with the platform.

HTH.